Overview

Logger regularly saves data to disk. You can open the saved data file in any software package that handles ASCII text files, such as Microsoft Excel.

To log data:

  1. Configure the hardware by loading a setup file.
  2. Select which channels are to be logged.
  3. Name a file in which to save data.
  4. Press the Start button.

Logger displays data in columns, with an extra column recording the time of each sample. When the columns are full the data is scrolled off the top.

If you have set alarm levels in SetupIML then data is displayed on a white background for no alarm, a blue background for warning alarm and a red background for critical alarm.

You can log from more than one test rig, or from different channels at different rates, by loading more copies of Logger.

The displayed data can be made available to other Windows applications, in real-time, using Dynamic Data Exchange (DDE).


Configuring the Hardware

You configure the data acquisition hardware simply by sending it a hardware setup file (which was created with the SetupIML program). Before you can log channels you should choose which setup file to use.

  1. Select Load Hardware Setup from the File menu. A dialogue box appears. Here you can choose to load a setup file from disk or select one that is already in use by another Windmill application. If the applications have channels in common you must specify the same setup file for each.
  2. Select a setup file and press OK. The file is loaded, the hardware configured and you can now select which channels to connect to Logger.

If you prefer you can load the hardware setup file at the same time as you load Logger.


Selecting Channels to Log

Before you can view or save any data you must select which input channels you want to connect to Logger. Do this in the Channel Connections dialogue. This appears after you select a hardware setup file, or when you select Inputs from the menu bar.

Connecting channels

Initially all channels are unconnected and listed in the left hand box. To connect a channel select it and choose the Connect button. It is now be displayed in the right hand Connected Channels list box. Alternatively double-click channels to connect them.

Disconnecting channels

To disconnect a channel select it from the right hand box and choose the Disconnnect button. It swaps back to the Unconnected Channels box. Alternatively double-click channels to disconnect them.

Connecting all channels

If 100 or fewer channels are included in the setup, you can connect them all by pressing the Connect All button. This button is greyed out if there are more than 100 channels (the maximum number Logger can handle).

When you select OK all the channels in the Connected Channels box are linked to Logger and sampled when you press Start.

Note that you cannot change channel connections while sampling is taking place.


Naming a File to Hold the Data

Before you can log to disk you have to name the data file. Type directly into the Data File box. A data file is generally given the extension .wl.

By default the file is saved in the working data directory you specified in ConfIML (for example c:\program files\windmill software\data\). However, if you enter the full directory or folder path then the file will be stored there. Your choice will become the default directory for this session.

If the Data File box is unavailable you have selected to log to screen but not to disk. Select File Options from the menu bar and select to generate a single, or periodic, files.

Note that the File Options option is disabled until you have loaded a hardware setup file and connected at least one input channel.


Starting Logging

You can start logging data in several ways. The most common method is simply to press the Start button. Logger collects data at regular intervals until you press the Stop or Pause button. For the other methods see the Related Topics below.

If your data file already exists you are given three choices: Overwrite, Append and Cancel.

  • Overwrite causes the old file to be deleted and the new data to be saved under that name instead.
  • Append adds the new data to the existing contents of the file.
  • Cancel returns you to the main window so you can change the name of the file.

Note that before you can log any data you must:

  1. Configure the hardware by loading a hardware setup file.
  2. Select which channels are to be logged.
  3. Name the file in which to save data.


Stopping or Pausing Logging

To stop sampling select the Stop button. The menu options which were greyed out will be restored, and if you were logging data the data file will be closed.

If you select Pause then sampling is merely suspended until you select either Stop or Resume. If Resume, sampling continues and data is logged to the same file as before.


Starting Logging when you Press a Key

You can start logging whenever you press the space bar on the keyboard. Logging will continue for your chosen duration, or until you click the Stop or Pause button.

  1. Select Settings from the menu bar.
  2. Choose Log on Keypress and enter the duration of logging. Press OK.
  3. Press the Start button and then the Log button. Logging starts and continues for your specified duration.
  4. Press the Space bar to restart logging.

Note, pressing the Space bar only works when the Log button has the "focus". To give the Log button the focus either click it or press Alt L on the keyboard. You should only need to do this once.


Starting Logging on an Alarm

You can tell Logger to start collecting data only when a channel goes into an alarm state. (You set alarms with the SetupIML program.)

  1. Select Settings from the menu bar.
  2. Choose Log on Alarm and enter the duration of logging. Press OK.
  3. Press the Start button. Logger will start collecting data when an alarm threshold is crossed. It will continue for your chosen duration and then pause until another alarm occurs.


Starting Logging when New Data Arrives

You can tell Logger to start only when new data is available. This allows external events to control logging. When the first connected channel updates, Logger takes a reading from all channels.

  1. Select Inputs from the menu bar and make sure that the first channel connected is the one to be monitored for new data. For data supplied by COMIML make sure this channel is the one holding the sampling rate.
  2. To only log new data, choose a long sampling interval and a short logging duration.

Note: The data does not have to change to be logged. Say you are recording a weight every time you press a button on a balance, and two consecutive measurements happen to be identical. Windmill flags the second as a new reading and Logger records the value.


Automatically Starting Logging when you Switch on the Computer

You can fully automate Logger so logging starts as soon as you switch on the computer. To do this, having first saved a Logger setup file, proceed as follows.

  1. Add a Logger setup file and the /AUTO switch to Logger's command line argument.

    When loaded Logger is fully configured and automatically begins sampling without waiting for you to press Start.

  2. Copy the Logger icon to the StartUp program group

    In Windows 7

    1. Click the Windows Start button [image] , click All Programs, right-click the Startup folder and select Open.
    2. In Computer [image], open the Windmill Software folder, which by default is in the Program Files (x86) folder.
    3. Right-click Logger. Choose Create Shortcut. This may be placed in the Windows folder or on the desktop.
    4. Drag the shortcut into the Startup folder which is at windows\start menu\programs\startup.

    In Earlier versions of Windmill

    1. Launch Windows Explorer and open the Windmill folder. Copy Logger from the Windmill folder (right click the Logger icon and choose copy).
    2. Open the Windows\Start Menu\Programs\StartUp folder and paste Logger there.

When you next start Windows, Logger will also start.

Note: When auto-starting you will not be warned if the data file already exists. The new data will be appended to the end of the existing file.


Viewing Data without Logging

You can view data without saving it. To do this select File Options from the menu bar and choose "Do not save to file".

When you press Start, Logger will sample data from the connected channels and show the readings on screen, but will not save the data.

If no data is displayed then you may have turned the Display Data on Screen option off. Select Settings to turn it back on.

Note that the File Options option is disabled until a hardware setup file has been loaded and at least one input channel connected.


Setting the Type of Data File

Data is saved to disk in ASCII text format. You can choose the layout as follows.

  • Columns of data are separated by tabs, and the file contains the column headings. Useful when viewing the file in Excel, Windmill Replay or many other Windows programs.
  • Columns of data are separated by spaces, and the file contains the column headings. Useful when sending data to a printer or opening the file in a text editor like Notepad.
  • Columns of data are separated by commas, and the column headings are contained in a separate *.wh file.

Select File Options from the menu bar and choose the data file type.


Setting the Speed of Sampling

To change the sampling interval select Settings from the menu bar.

Erase the current sampling interval and type in a new one. This can be between 0.02 seconds and 1440 minutes (24 hours). The minimum interval of 0.02 seconds produces a sampling rate of 50 samples per second (per channel). Note, though, that Windmill may miss samples when logging at speeds above 10 samples per second per channel.

The interval is shown at the right hand side of the status line of the main window.

You can change the sampling interval at any time, even if logging is in progress.


Setting the Type of Time Stamp

Logger time-stamps the data, saving and displaying the time it was collected. Select Settings from the menu bar and choose from:

  • Time of day
  • Seconds since the start of logging
  • Seconds and hundredths of seconds since the start of logging
  • Minutes and seconds since the start of logging
  • Date and time

The format of the time stamp (dd:mm:yy for example) is specified in Windows. To change it use Windows Control Panel and choose Regional Settings.


Setting Display Options

Use the Settings menu to specify how Logger displays data.

Logging data without displaying it

This allows faster logging to disk. Click the Display data on screen box to clear it.

Displaying digital data as text

Instead of displaying digital data as a 1 or a 0, you can choose to show the descriptions chosen in SetupIML. For example On or Off, Open or Close.

Skipping empty scans

You can choose whether to record or skip scans in which no channels produce data. This is useful for remote instruments that produce data only on some external event, where many scans may have no readings at all. To record empty scans check the Indicate empty scans box.

Setting the column width

If the columns are 15 characters wide then the full data values will be shown from up to 6 channels. Reducing the column width will let you see more channels - but the data values and channel names may be shortened. If values have been shortened they will be marked with a >> symbol. (The data values will be saved intact, regardless of the screen column width.)

You can change the display options at any time, even while logging is taking place.


Setting the Title of the Logger Window

You can change the title of the Logger window from "Windmill Logger" to one of your own choosing. This is particularly useful when running more than one copy of Logger.

Select Settings from the menu bar. Erase the current title and type in a new one.


Periodically Closing One Data File and Automatically Opening a new One

At regular intervals Logger can automatically close the data file and open a new one. Rather than having all data saved in one file, this results in a new file every hour, day or week. Select File Options from the menu bar and choose the Generate Periodic Files option.

  1. Choose whether a new file is to be opened each hour, each day or each week. Logger creates a file whenever a new hour, day or week begins (not one hour, day or week after logging started). Logger distinguishes between files by adding a time and date suffix to the file name. For example, if your file name was "mydata.wl" then at 12:00 pm on the 7th of January Logger might create a file called "mydata_010712.wl".
  2. Decide whether you want to keep all logged data files indefinitely, or want to save disk space by overwriting older files. To keep all files choose the date format: _yymmddhh. Each file will then have a unique name. To overwrite older files choose one of the other options.
    • To keep one year's data choose: _mmddhh
    • To keep one month's data choose: _ddhh
    • To keep one day's data choose: _hh.


Saving Logger's Setup Details

You can save all the details you specify in Logger, and later restore them. Select Save Logger Setup from the File menu.

Type a name into the File Name edit box. There is no need to specify an extension as .wlg will be added automatically. Choose OK and the details will be stored in this file in the working directory.

The Logger setup file contains the following details:

  • Name of the hardware setup file to use
  • Connected channels
  • Sample interval
  • Format of the time stamp
  • Type of file
  • Whether data is displayed or not
  • How digital data is displayed
  • Whether empty scans are recorded
  • What triggers logging
  • Column width
  • Title of window
  • Any advanced periodic settings
  • Data directory and file name
  • Size and position of the window on screen
  • DDE service name


Restoring Logger's Setup Details

To restore a previously saved Logger setup select Restore Logger Setup from the File menu.

If Logger is engaged in a DDE conversation when you restore the setup file, the new DDE Service name will not be loaded.

You can also automatically restore Logger's settings when you load Logger, by including the setup file name in the command line of Program Manager.


Format of Data Files

When you've stopped logging you will find either one file with the extension .wl or two files with the extensions .wlh and .wld, depending on your selection in the File Options box.

A file with the extension .wlh is a header file. This consists of a number of ASCII strings enclosed in double quotes, suitable for importing into spreadsheets and other packages.

  1. The first line shows the Logger title.
  2. The second the time and date logging to this file started.
  3. The third states the time and date logging stopped.
  4. Subsequent lines consist of the channel names for each of the channels (spaced along one line) and the engineering units of each channel.

The file is designed as a set of headings which can be placed above the columns of data recorded in the .wld file. (Note that just one header file is created for the whole series of periodic files.)

The .wld file contains the ASCII data values. Each set of samples is recorded in a row, with the time in the first column.

A file with the extension .wl contains both the heading information and the data in the one file. This file can either be read into Excel or sent to the printer, depending on your selection in the File Options box. The first part of the file has the same information as a .wlh file. The ASCII strings are not enclosed in double quotes and are tab or space separated. The data follows the header information. Again these are tab or space separated.

To change the time and date formats use Windows Control Panel and choose Regional Settings.


Closing Logger

Select Exit from the File menu. The window will close. You can exit even when logging data.


Loading the Setup Details Automatically

You can configure Logger to start with either a hardware setup file (*.ims) or a Logger setup file (*.wlg) already loaded. So when you start Logger you also configure the hardware, position and size the window, connect channels and set all the logging options. You do this by specifying command line arguments in Windows. To do this:

  1. On the Windows desktop right click the Logger icon [image].
  2. Select Properties and choose the Shortcut tab.
  3. Add the setup file name to the Target box.

For example, for a Logger setup file called mysetup.wlg, the target will look like this
"C:\Program Files\Windmill Software\Windmill\logger.exe" Setups\mysetup.wlg
The .wlg file contains a reference to an .ims file so this will be loaded too.

Automatic Logging

You can take the automation of Logger one step further, so instead of Logger waiting for you to press Start it begins sampling as soon as it is loaded.

In this case add /AUTO to the command line argument, leaving a space between the file name and /AUTO:

c:\program files\windmill software\windmill\logger.exe mysetup.wlg /auto


Why Logger might not get data

Why Logger May Not Get Data

There are two reasons why the Logger may not be able to get data values: either the computer is too busy or Windmill cannot obtain any data from the measurement hardware

  1. If there are several programs running simultaneously the computer may not be able to keep up with all the processing required. In Logger's case this may mean that sampling falls behind schedule, or some of the data may be replaced by dashes: - - - - -. If this occurs, try to close some windows to reduce the computer's workload. You could also try turning off the screen display of data from the Settings menu.
  2. If Logger is unable to obtain data it will record an error code for the value. This may mean that the hardware is not configured correctly or is faulty.


Optimising Logger's Performance

There are three ways to optimise Logger's performance.

  1. Log data without displaying it on screen

    Select the Settings menu and turn off the “Display data on screen” option. No data will be shown in the Logger window, allowing logging to proceed at a faster rate.

  2. Reduce the number of applications running

    If several programs are running simultaneously the computer may not be able to keep up with all the processing required. Logger may therefore fail to meet its target logging speed. If this occurs try to reduce the computer's workload by closing some windows.

  3. Reduce the number of channels being logged
    The fewer channels connected to Logger the faster Logger can go.


Altering the Hardware Setup File

You can alter the hardware setup file (*.ims) with the SetupIML program. You can move to SetupIML and change some of the details in the current setup file, such as the range or units, without closing Logger (as long as it's not currently logging). When you next start sampling data the affected parameters will be updated.

If you rename a channel that Logger has been using it will be disconnected. Use the Inputs menu to reconnect it.


Commands

File menu

Load Hardware Setup

Save Logger Setup

Restore Logger Setup

Data File

DDE

Exit

Inputs menu

Settings menu

File Options menu


Dynamic Data Exchange (DDE)

DDE is a standard protocol that allows cooperating Windows applications to send commands and data to one another. Other applications can obtain the connected channel names, units, current data values and so on from Logger. You can also use DDE to send commands to Logger.

DDE programs are often referred to as clients and servers. A server responds to requests from a client. Logger always acts as a server.

Read the manuals for your chosen client program or language to find how to create DDE links. The client program must create the links: you cannot create them from Logger.

Both DDE applications must be loaded before a conversation can begin.

Enabling DDE Support

Windows programs cannot make DDE conversations unless they have a unique DDE Service Name. The first instance of Logger loaded is given the service name "Logger". To change this, or allocate a service name to another instance of the program, select DDE from the File menu. A dialogue box appears for you to enter a new Service Name.


Controlling Logger from Other Applications

You can send Logger simple instructions over DDE links, using the DDE Execute facility. This allows the applications to be controlled remotely from DDE client applications such as Excel, Visual Basic or Windmill Graphics.

Commands are shown in upper case and their parameters in angled brackets. Parameters should be separated by a single space.

Execute Commands Accepted By Logger

DESTROY

Closes Logger. Equivalent of the Exit command on the File menu.

INTERVAL <new interval>

Determines how often Logger's channels are read when logging. The interval parameter specifies the interval in seconds. For example specify a 500 millisecond update rate as:

Interval 0.5

LOAD <setup file name>

Loads a new setup file. If the setup file is not in the current working directory you should specify the complete file path. You could use this command, for example, to change the channels being logged.

MAXIMIZE

Makes the Logger window full screen size.

MINIMIZE

Iconises Logger. Equivalent of the Minimize command on the System menu.

MOVE <x pos> <y pos> <x size> <y size>

Moves and resizes Logger. The co-ordinates are in pixel units and refer to the position of the top left hand corner of the window. They are absolute, not relative to the current position. You can omit the size parameters if you don't want to change the dimensions of the window.

For example: Move 5 5

RESTORE

Restores the Logger to the size it was before it was minimised. Equivalent of the Restore command on the System menu.

START

Either starts logging, or, depending on your settings, sets Logger ready to start when your conditions are met.

STOP

Stops logging and closes the data file.


Error Messages

Error 20 | No reply received - problem with link to acquisition hardware.
Error 22 | Timed out while waiting for reply from hardware.
Error 29 | Transmission error.
Error 100 | The version of Logger you are running is a demonstration version, it will not log real data.
Error 104 | The hardware failed to accept data.
Error 105 | The hardware failed to supply data.
Error 106 | The hardware failed to setup correctly.
Error 108 | The input is out of range.
Error 113 | The hardware configuration is incorrect.
Error 114 | The data is not yet ready.
Error 311 | The channel name is no longer available.
Error 313 | The channel is not enabled.
Error 314 | The channel cannot supply data.
If you receive an "Invalid Name Specified" error message then you have not named the data file.


World Wide Web

Web Site

You can find more information about Windmill Software on the World Wide Web at http://www.windmill.co.uk/.

Every month we publish a free newsletter - Monitor ((ISSN 1472-0221), delivered by e-mail. This gives tips on using Windmill and articles on data acquisition and control. To subscribe visit http://www.windmill.co.uk/newsletter.html.

For easy purchase of extra software modules visit http://www.windmillsoft.com/.

Updates of this Help file will be posted at http://www.windmill.co.uk/help.html.


Your Comments on the Help

Tell us any improvements we could make to our Help files. Could you quickly find what you wanted? Was the explanation clear? Have you any questions? Visit http://www.windmill.co.uk/help.html and fill in the comments form at the bottom of the page.


Licence a Trial Copy of Windmill

Subscribers to our newsletter can download a fully-working, trial version of Windmill and the ComIML serial driver. This lets you collect data from almost any device which plugs into the PC's COM port. At the end of your trial, if you wish to keep using the software, you can purchase a release key from our data acquisition shop. This will let you go on using your set-up indefinitely.

A licenced copy of Windmill lets you control up to 10 serial instruments which are sending binary or ASCII data. You can collect many channels of data from each instrument. It includes the charting, logging, output control and DDE programs. With the DDE Panel you can send data in real-time to other programs like Excel or Access.

To obtain a release key and licence Windmill:

  1. Run Windmill Licence from the Windmill program group.
  2. You will see a screen showing your software and a Request Key. Make a note of the Request Key.
  3. Go to the Windmill data acquisition shop and add Licence your trial version of Windmill to your shopping cart.
  4. During the checkout process you will be asked for your Request Key. Enter this.
  5. We will send you back your Release Key. Enter this in the Windmill Licence screen. Your software will be re-enabled and you can continue to use it.

Keep a record of your Release Key. You will need it if you want to install Windmill on another computer.

Thank you for using Windmill
http://www.windmill.co.uk/
http://www.windmillsoft.com/


About Windmill

Windmill

Windmill is a suite of data acquisition and control software. It comprises:

Drivers - which handle the low-level communications

SetupIML - which creates files telling the other applications how you want the hardware configured

Applications - such as Logger and Chart which perform the data acquisition and control tasks


Using Windows

The picture below gives examples of items found in dialogue boxes. For help on any of these items, move your pointer over the picture and click the left mouse button.

The underlined green links in the Help take you to other, related, topics. The blue links take you further down the same topic. For more help on using Help press F1 on the keyboard.


Contacting Windmill Software

Windmill Software, PO Box 58, North District Office, Manchester, M8 8QR, UK.
Telephone: +44 (0)161 833 2782
Facsimile: +44 (0)161 833 2190
E-mail: sales@windmill.co.uk
http://www.windmillsoft.com/
http://www.windmill.co.uk/

Every month we publish a free newsletter - Monitor (ISSN 1472-0221), delivered by e-mail. This gives tips on using Windmill and articles on data acquisition and control. To subscribe visit http://www.windmill.co.uk/newsletter.html.

For easy purchase of extra software modules visit http://www.windmillsoft.com/.

Updates of this Help file will be posted at http://www.windmill.co.uk/help.html.


DDE Range Topic

DDE conversations with Logger on the Range topic can request items under the names of each of the currently connected channels. The values supplied are the minimum value this channel can read with its current configuration, and the maximum value. This information can be used for scaling graph axes. (Certain hardware drivers may not supply this information, in which case the standard values of 0 and 100 are given.)

The special item AllChannels will return a pair of such values for each of the connected channels.


Topics

System Topic

Units Topic

Data Topic

Range Topic

Alarm Topic

Error Topic


DDE Error Topic

DDE conversations with Logger on the Error topic can request items under the names of each of the currently connected channels. The value supplied is the error code from the most recent attempt to read data from this channel. A code of zero indicates that the channel was read successfully.

The special item AllChannels will return a list of error codes for all the connected channels.


DDE Units Topic

DDE conversations with Logger on the Units topic can request items under the names of each of the currently connected channels. The values supplied are the engineering units of values on this channel (e.g. volts, Celsius, hertz) as chosen in SetupIML and recorded in the hardware setup file.

The special item AllChannels will return a list of unit names for all the connected channels.


File Menu

Load Hardware Setup

Configures the hardware by sending it a hardware setup file of your choice (an *.ims file).

Related topics:

Configuring the hardware

Save Logger Setup

Saves Logger's current settings in a setup file of your choice (a *.wlg file).

Related topics:

Saving Logger's setup details

Restore Logger Setup

Loads a previously saved Logger setup file of your choice (a *.wlg file).

Related topics:

Restoring Logger's setup details

Data File

Lets you create a file in which to save data (a *.wl file).

Related topics:

Creating a File to Hold the Data

DDE

Enables DDE support in Logger.

Related topics:

Dynamic Data Exchange(DDE)

Exit

Closes Logger.

Related topics:

Closing Logger


Windmill Files

The Windmill system creates a number of files, stored in the setup or data directories (folders).

Setup Files

*.ims | Created by the SetupIML program. This file contains all the details needed to configure your hardware, including channel names, measurement units and transducer types. For more information see Configuring the Hardware.
*.wlg | Created by the Logger program. This file contains all the settings you specified in Logger, including which *.ims file to use, sample interval and Window title. For more information see Saving Logger's Setup Details.

Data Files

*.wl | Normally logged data is stored in a *.wl file. This contains columns of ASCII text separated by tabs or spaces, depending on your File Options selection. You can open it in almost any Windows word processor, spreadsheet or analysis program.
*.wlh | A header file. This is only created if you chose to create a separate header file. It comprises a number of ASCII strings enclosed in double quotes, suitable for importing into spreadsheets and other packages. The first line shows the Logger title. The second the time and date logging to this file started. The third states the time and date logging stopped. Subsequent lines consist of the channel names for each of the channels (spaced along one line) and the engineering units of each channel. The file is designed as a set of headings which can be placed above the columns of data recorded in the .wld file. (Note that just one header file is created for the whole series of periodic files.)
*.wld | If you chose to create a separate header file then data is stored in a *.wld file. Each set of samples is recorded in a row, with the time in the first column.


Index

Windmill Logger Help Contents

Getting Started

Overview

Configuring the hardware

Selecting channels to log

Creating a file to hold the data

Starting logging

Stopping or pausing logging

Choosing how to Start Logging

Starting logging

Starting logging when you press a key

Starting logging on an alarm

Starting logging when new data arrives

Automatically starting logging when you switch on the computer

Setting Logger's display, speed and file options

Setting the speed of sampling

Setting the type of time stamp

Setting display options

Setting the title of the Logger Window

Viewing data without logging

Setting the type of data file

Periodically closing one file and automatically opening a new one

Saving Logger's details

Saving Logger's setup details

Restoring Logger's setup details

Closing Logger

Format of data files

Optimising Logger

Optimising Logger's performance

Why Logger might not get data

Loading the setup details automatically

Altering the hardware setup file

Reference

Command summary

Dynamic data exchange (DDE)

Providing other applications with data

Controlling Logger from other applications

Error messages

World Wide Web

Windmill Files

Your comments on the Help


Settings Menu

The Settings menu calls up a dialogue box where you can set the sampling speed, time stamp format, starting and display options.


File Options Menu

The File Options menu calls up a dialogue box where you can choose to log data to disk and select the data file type and whether to periodically open a new log file.

{button ,AL(A_FileSettings,,,)} Related Topics


Service Name

Windows programs cannot make DDE conversations unless they have a unique DDE Service Name. To change or allocate a Service Name to a program, choose DDE from the File menu and fill in the dialogue box.


Inputs

Inputs Menu

The Inputs menu calls up a dialogue box where you can select which channels are connected to Logger.

{button ,JI(Channels)} Related Topics


Providing Other Applications with Data

Other applications can obtain the connected channel names, units, current data values and so on from Logger, using dynamic data exchange. Logger supports the following DDE transactions:

INITIATEstarts a DDE conversation

REQUESTprovides one set of information

ADVISEprovides updates every time a value changes (Hotlink)

TERMINATEends the conversation

When creating a DDE conversation, you must specify the service name and the topic.

Six topics are available:

System Topic

Units Topic

Data Topic

Range Topic

Alarm Topic

Error Topic

Note: The Windmill DDE Panel lets you copy and paste DDE links—you might find it quicker to use this than Logger.


(Untitled)

Working Directory or Folder

Data is stored in the working directory you specified with ConfIML. By default, setup information is stored at: "c:\program files\windmill software\windmill\setup" and logged data at "c:\program files\windmill software\windmill\data".

If you instead choose a different directory (folder), this becomes the working directory for the rest of the session.


DDE Alarm Topic

DDE conversations with Logger on the Alarm topic can request items under the names of each of the currently connected channels. The values supplied show whether the channels are in a state of alarm or not.

0No Alarm

1Warning Alarm

2Critical Alarm


DDE System Topic

DDE conversations with Logger on the System topic can access seven items:

Help - details of the DDE topics and items supported by Logger.

SysItems - items within the System topic.

Topics - lists the six available topics.

Formats - this shows the format of transferred data, which is CF_TEXT (ordinary text with values separated by Tab characters).

Status - gives the current status of the server.

TopicItemList - names of the connected channels, plus the special name AllChannels used to get details of all the connected channels in a single transaction. These are the items available under the other topics.

Channels - same as TopicItemList.


DDE Data Topic

DDE conversations with Logger on the Data topic can request items under the names of each of the currently connected channels. The answer supplied is the most recent data value read from this channel, as displayed on the screen.

The special item AllChannels will return a list of latest values for all the connected channels.

You can use ADVISE to create a hotlink. This instructs Logger to pass a new value or set of values to the client each time it takes a reading.


Logger Settings

For help click over the picture below.


Author

Windmill Logger Help
designed and written
by Jill Studholme
http://www.studholme.net/


Advanced file settings

File Settings

For help click over the picture. See also the related topics below.